<template>
   <div class="container">

     <h1> Découvert les articles  de categorie </h1>
   
     <p> {{ article?.id_categorie }}</p>
   
   
     <!-- <div> ERREUR </div> -->
   <h1 v-if="article?.id_categorie == 1 "> Découvert tous les articles de Plat </h1>
   <h1 v-if="article?.id_categorie  == 2 "> Découvert tous les articles de Dessert </h1>
   <h1 v-if="article?.id_categorie  == 3 "> Découvert tous les articles de Produit </h1>
   <h1 v-if="article?.id_categorie  == 4 "> Découvert tous les articles de Magasin </h1>
   <h1 v-if="article?.id_categorie  == 4 "> Découvert tous les articles de Restaurant </h1>
   
     <div class="row">
       
       <div v-for="article of articles" :key="article.id">
       
         <div class="col s12 m4">
   
         <div class="card">
           <div class="card-image">
             <RouterLink :to="'/article/' + article.id" active-class="active"><img :src=" article.photo"></RouterLink>
             <span class="card-title">{{ article.titre }}</span>
             <!-- <a class="bt n-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a> -->
           </div>
   
           <div class="card-content">
             <p> {{ article.text}}</p>
           </div>
         </div>
   
         </div>
       </div>
       </div>
   
       <CommentaireList></CommentaireList>

  </div>


</template>

<script setup lang="ts">

import type { Article, Categorie } from '@/entities';
import { onMounted, ref, watch } from 'vue';
import { useRoute } from 'vue-router';
import { fetchIdCategoArticles } from '@/service/article-service';
import ArticleList from '@/components/ArticleList.vue';
import CommentaireList from '@/components/CommentaireList.vue';
import { fetchCategories } from '@/service/categorie-service';


const route = useRoute();
const articles = ref<Article[]>([]);
const article = ref<Article>();

watch(() => route.params.id, async () =>{
    articles.value = await fetchIdCategoArticles(route.params.id);
}, {immediate:true})


</script>